
=encoding utf8

=head1 NAME

Sidef::Types::String::String

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = String(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Object::Object

=head1 METHODS

=head2 %

    a % b

Returns the

Aliases: I<sprintf>

=cut

=head2 &

    a & b

Returns the

Aliases: I<and>

=cut

=head2 *

    a * b

Returns the

Aliases: I<mul>

=cut

=head2 +

    a + b

Returns the

Aliases: I<add>, I<append>, I<concat>

=cut

=head2 ++

    a ++ b

Returns the

Aliases: I<inc>

=cut

=head2 -

    a - b

Returns the

Aliases: I<diff>

=cut

=head2 ..

    a .. b

Returns the

Aliases: I<to>, I<upto>

=cut

=head2 /

    a / b

Returns the

Aliases: I<÷>, I<div>

=cut

=head2 <

    a < b

Returns the

Aliases: I<lt>

=cut

=head2 <<

    a << b

Returns the

Aliases: I<drop_left>, I<shift_left>

=cut

=head2 <=>

    a <=> b

Returns the

Aliases: I<cmp>

=cut

=head2 ==

    a == b

Returns the

Aliases: I<eq>

=cut

=head2 =~

    a =~ b

Returns the

Aliases: I<match>

=cut

=head2 >

    a > b

Returns the

Aliases: I<gt>

=cut

=head2 >>

    a >> b

Returns the

Aliases: I<drop_right>, I<shift_right>

=cut

=head2 ^

    a ^ b

Returns the

Aliases: I<xor>

=cut

=head2 |

    a | b

Returns the

Aliases: I<or>

=cut

=head2 ~

    a ~ b

Returns the

Aliases: I<not>

=cut

=head2 ≠

    a ≠ b

Returns the

Aliases: I<!=>, I<ne>

=cut

=head2 ≤

    a ≤ b

Returns the

Aliases: I<E<lt>=>, I<le>

=cut

=head2 ≥

    a ≥ b

Returns the

Aliases: I<E<gt>=>, I<ge>

=cut

=head2 apply_escapes

    String.apply_escapes()

Returns the

=cut

=head2 backtick

    String.backtick()

Returns the

=cut

=head2 base64_decode

    String.base64_decode()

Returns the

Aliases: I<decode_base64>

=cut

=head2 base64_encode

    String.base64_encode()

Returns the

Aliases: I<encode_base64>

=cut

=head2 begins_with

    String.begins_with()

Returns the

Aliases: I<starts_with>

=cut

=head2 bin

    String.bin()

Returns the

=cut

=head2 bytes

    String.bytes()

Returns the

=cut

=head2 bytes_len

    String.bytes_len()

Returns the

Aliases: I<bytes_length>

=cut

=head2 center

    String.center()

Returns the

=cut

=head2 char

    String.char()

Returns the

Aliases: I<char_at>

=cut

=head2 chars

    String.chars()

Returns the

=cut

=head2 chomp

    String.chomp()

Returns the

=cut

=head2 chop

    String.chop()

Returns the

=cut

=head2 clear

    String.clear()

Returns the

=cut

=head2 collect

    String.collect()

Returns the

Aliases: I<find_all>, I<findall>

=cut

=head2 count

    String.count()

Returns the

=cut

=head2 crypt

    String.crypt()

Returns the

=cut

=head2 decode

    String.decode()

Returns the

=cut

=head2 decode_utf8

    String.decode_utf8()

Returns the

=cut

=head2 die

    String.die()

Returns the

=cut

=head2 digits

    String.digits()

Returns the

=cut

=head2 downto

    String.downto()

Returns the

=cut

=head2 dump

    String.dump()

Returns the

Aliases: I<inspect>

=cut

=head2 each

    String.each()

Returns the

Aliases: I<each_char>

=cut

=head2 each_byte

    String.each_byte()

Returns the

=cut

=head2 each_graph

    String.each_graph()

Returns the

Aliases: I<each_grapheme>

=cut

=head2 each_line

    String.each_line()

Returns the

=cut

=head2 each_num

    String.each_num()

Returns the

Aliases: I<each_number>

=cut

=head2 each_word

    String.each_word()

Returns the

=cut

=head2 encode

    String.encode()

Returns the

=cut

=head2 encode_utf8

    String.encode_utf8()

Returns the

=cut

=head2 ends_with

    String.ends_with()

Returns the

=cut

=head2 escape

    String.escape()

Returns the

Aliases: I<quotemeta>

=cut

=head2 esub

    String.esub()

Returns the

=cut

=head2 extract_bracketed

    String.extract_bracketed()

Returns the

=cut

=head2 extract_codeblock

    String.extract_codeblock()

Returns the

=cut

=head2 extract_delimited

    String.extract_delimited()

Returns the

=cut

=head2 extract_quotelike

    String.extract_quotelike()

Returns the

=cut

=head2 extract_tagged

    String.extract_tagged()

Returns the

=cut

=head2 fc

    String.fc()

Returns the

Aliases: I<foldcase>

=cut

=head2 first

    String.first()

Returns the

=cut

=head2 flip

    String.flip()

Returns the

Aliases: I<reverse>

=cut

=head2 format

    String.format()

Returns the

=cut

=head2 frequire

    String.frequire()

Returns the

=cut

=head2 ft

    String.ft()

Returns the

Aliases: I<slice>

=cut

=head2 gesub

    String.gesub()

Returns the

=cut

=head2 glob

    String.glob()

Returns the

=cut

=head2 gmatch

    String.gmatch()

Returns the

=cut

=head2 graphs

    String.graphs()

Returns the

Aliases: I<graphemes>

=cut

=head2 graphs_len

    String.graphs_len()

Returns the

Aliases: I<graphs_length>

=cut

=head2 gsub

    String.gsub()

Returns the

Aliases: I<replace_all>

=cut

=head2 has

    String.has()

Returns the

Aliases: I<contain>, I<include>, I<contains>, I<includes>

=cut

=head2 hex

    String.hex()

Returns the

=cut

=head2 index

    String.index()

Returns the

=cut

=head2 insert

    String.insert()

Returns the

=cut

=head2 ints

    String.ints()

Returns the

Aliases: I<integers>

=cut

=head2 is_alnum

    String.is_alnum()

Returns the

Aliases: I<is_alphanum>

=cut

=head2 is_alpha

    String.is_alpha()

Returns the

=cut

=head2 is_ascii

    String.is_ascii()

Returns the

=cut

=head2 is_digit

    String.is_digit()

Returns the

=cut

=head2 is_empty

    String.is_empty()

Returns the

=cut

=head2 is_lc

    String.is_lc()

Returns the

Aliases: I<is_lowercase>

=cut

=head2 is_numeric

    String.is_numeric()

Returns the

Aliases: I<looks_like_number>

=cut

=head2 is_palindrome

    String.is_palindrome()

Returns the

=cut

=head2 is_punct

    String.is_punct()

Returns the

Aliases: I<is_punctuation>

=cut

=head2 is_space

    String.is_space()

Returns the

=cut

=head2 is_uc

    String.is_uc()

Returns the

Aliases: I<is_uppercase>

=cut

=head2 is_word

    String.is_word()

Returns the

=cut

=head2 iter

    String.iter()

Returns the

=cut

=head2 jaro_distance

    String.jaro_distance()

Returns the

=cut

=head2 join

    String.join()

Returns the

=cut

=head2 last

    String.last()

Returns the

=cut

=head2 lc

    String.lc()

Returns the

Aliases: I<lower>, I<downcase>

=cut

=head2 lcfirst

    String.lcfirst()

Returns the

=cut

=head2 len

    String.len()

Returns the

Aliases: I<size>, I<length>, I<chars_len>, I<chars_length>

=cut

=head2 lev

    String.lev()

Returns the

Aliases: I<leven>, I<levenshtein>

=cut

=head2 lines

    String.lines()

Returns the

=cut

=head2 ltrim

    String.ltrim()

Returns the

Aliases: I<lstrip>, I<trim_beg>, I<strip_beg>, I<trim_left>, I<strip_left>

=cut

=head2 md5

    String.md5()

Returns the

=cut

=head2 new

    String.new()

Returns the

Aliases: I<call>

=cut

=head2 num

    String.num()

Returns the

Aliases: I<to_n>, I<to_num>

=cut

=head2 nums

    String.nums()

Returns the

Aliases: I<numbers>

=cut

=head2 oct

    String.oct()

Returns the

=cut

=head2 open

    String.open()

Returns the

=cut

=head2 open_r

    String.open_r()

Returns the

=cut

=head2 ord

    String.ord()

Returns the

=cut

=head2 overlaps

    String.overlaps()

Returns the

=cut

=head2 pack

    String.pack()

Returns the

=cut

=head2 parse_quotewords

    String.parse_quotewords()

Returns the

=cut

=head2 pipe

    String.pipe()

Returns the

=cut

=head2 pop

    String.pop()

Returns the

=cut

=head2 prepend

    String.prepend()

Returns the

=cut

=head2 printf

    String.printf()

Returns the

=cut

=head2 printlnf

    String.printlnf()

Returns the

=cut

=head2 range

    String.range()

Returns the

=cut

=head2 repeat

    String.repeat()

Returns the

=cut

=head2 require

    String.require()

Returns the

=cut

=head2 rindex

    String.rindex()

Returns the

=cut

=head2 rotate

    String.rotate()

Returns the

=cut

=head2 rtrim

    String.rtrim()

Returns the

Aliases: I<rstrip>, I<trim_end>, I<strip_end>, I<trim_right>, I<strip_right>

=cut

=head2 run

    String.run()

Returns the

=cut

=head2 scan

    String.scan()

Returns the

=cut

=head2 sha1

    String.sha1()

Returns the

=cut

=head2 sha256

    String.sha256()

Returns the

=cut

=head2 sha512

    String.sha512()

Returns the

=cut

=head2 sort

    String.sort()

Returns the

=cut

=head2 split

    String.split()

Returns the

=cut

=head2 sprintlnf

    String.sprintlnf()

Returns the

=cut

=head2 sub

    String.sub()

Returns the

Aliases: I<replace>

=cut

=head2 substr

    String.substr()

Returns the

Aliases: I<substring>

=cut

=head2 tc

    String.tc()

Returns the

Aliases: I<ucfirst>, I<titlecase>

=cut

=head2 tclc

    String.tclc()

Returns the

Aliases: I<capitalize>

=cut

=head2 to_i

    String.to_i()

Returns the

Aliases: I<to_int>

=cut

=head2 to_s

    String.to_s()

Returns the

Aliases: I<to_str>

=cut

=head2 tr

    String.tr()

Returns the

Aliases: I<translit>

=cut

=head2 trans

    String.trans()

Returns the

=cut

=head2 trim

    String.trim()

Returns the

Aliases: I<strip>

=cut

=head2 uc

    String.uc()

Returns the

Aliases: I<upper>, I<upcase>

=cut

=head2 unescape

    String.unescape()

Returns the

=cut

=head2 unpack

    String.unpack()

Returns the

=cut

=head2 warn

    String.warn()

Returns the

=cut

=head2 wc

    String.wc()

Returns the

Aliases: I<wordcase>

=cut

=head2 words

    String.words()

Returns the

=cut
